<html>
<head>
<title>OgreGLES2DepthBuffer.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_43d9b0265a5a2fd53bf3892a292ce5e9.html">RenderSystems</a>      </li>
      <li class="navelem"><a class="el" href="dir_740c5ae02f3e58539fc77518d7d26661.html">GLES2</a>      </li>
      <li class="navelem"><a class="el" href="dir_03408e7e26591a021d5048c9e4238005.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreGLES2DepthBuffer.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreGLES2DepthBuffer_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 <span class="preprocessor">#ifndef __GLES2DepthBuffer_H__</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#define __GLES2DepthBuffer_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span>
<a name="l00031"></a>00031 <span class="preprocessor">#include &quot;<a class="code" href="OgreGLES2Prerequisites_8h.html">OgreGLES2Prerequisites.h</a>&quot;</span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgreDepthBuffer_8h.html">OgreDepthBuffer.h</a>&quot;</span>
<a name="l00033"></a>00033 
<a name="l00034"></a>00034 
<a name="l00035"></a>00035 <span class="keyword">namespace </span>Ogre 
<a name="l00036"></a>00036 {
<a name="l00037"></a>00037     <span class="keyword">class </span>GLES2Context;
<a name="l00038"></a>00038     <span class="keyword">class </span>GLES2RenderBuffer;
<a name="l00039"></a>00039     <span class="keyword">class </span>GLES2RenderSystem;
<a name="l00051"></a><a class="code" href="classOgre_1_1GLES2DepthBuffer.html">00051</a>     <span class="keyword">class </span><a class="code" href="OgreGLES2Prerequisites_8h.html#a3f2e060c56216a4f3fb7650e502f5735">_OgreGLES2Export</a> <a class="code" href="classOgre_1_1GLES2DepthBuffer.html">GLES2DepthBuffer</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1DepthBuffer.html" title="An abstract class that contains a depth/stencil buffer.">DepthBuffer</a>
<a name="l00052"></a>00052     {
<a name="l00053"></a>00053     <span class="keyword">public</span>:
<a name="l00054"></a>00054         <a class="code" href="classOgre_1_1GLES2DepthBuffer.html">GLES2DepthBuffer</a>( <a class="code" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> poolId, <a class="code" href="classOgre_1_1GLES2RenderSystem.html" title="Implementation of GL ES 2.x as a rendering system.">GLES2RenderSystem</a> *renderSystem, <a class="code" href="classOgre_1_1GLES2Context.html" title="Class that encapsulates an GL context.">GLES2Context</a> *creatorContext,
<a name="l00055"></a>00055                         <a class="code" href="classOgre_1_1GLES2RenderBuffer.html" title="Renderbuffer surface.">GLES2RenderBuffer</a> *depth, <a class="code" href="classOgre_1_1GLES2RenderBuffer.html" title="Renderbuffer surface.">GLES2RenderBuffer</a> *stencil,
<a name="l00056"></a>00056                         <a class="code" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> width, <a class="code" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> height, <a class="code" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> fsaa, <a class="code" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> multiSampleQuality,
<a name="l00057"></a>00057                         <span class="keywordtype">bool</span> isManual );
<a name="l00058"></a>00058         ~<a class="code" href="classOgre_1_1GLES2DepthBuffer.html">GLES2DepthBuffer</a>();
<a name="l00059"></a>00059 
<a name="l00061"></a>00061         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> isCompatible( <a class="code" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> *renderTarget ) <span class="keyword">const</span>;
<a name="l00062"></a>00062 
<a name="l00063"></a><a class="code" href="classOgre_1_1GLES2DepthBuffer.html#a484a0511034e0ef87b3d9b4701fd5d35">00063</a>         <a class="code" href="classOgre_1_1GLES2Context.html" title="Class that encapsulates an GL context.">GLES2Context</a>* <a class="code" href="classOgre_1_1GLES2DepthBuffer.html#a484a0511034e0ef87b3d9b4701fd5d35">getGLContext</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mCreatorContext; }
<a name="l00064"></a><a class="code" href="classOgre_1_1GLES2DepthBuffer.html#a80550d34c67371c01852da1028470832">00064</a>         <a class="code" href="classOgre_1_1GLES2RenderBuffer.html" title="Renderbuffer surface.">GLES2RenderBuffer</a>* <a class="code" href="classOgre_1_1GLES2DepthBuffer.html#a80550d34c67371c01852da1028470832">getDepthBuffer</a>()<span class="keyword"> const  </span>{ <span class="keywordflow">return</span> mDepthBuffer; }
<a name="l00065"></a><a class="code" href="classOgre_1_1GLES2DepthBuffer.html#aca66b567f8c9c28b94371c6aa5878307">00065</a>         <a class="code" href="classOgre_1_1GLES2RenderBuffer.html" title="Renderbuffer surface.">GLES2RenderBuffer</a>* <a class="code" href="classOgre_1_1GLES2DepthBuffer.html#aca66b567f8c9c28b94371c6aa5878307">getStencilBuffer</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mStencilBuffer; }
<a name="l00066"></a>00066 
<a name="l00067"></a>00067     <span class="keyword">protected</span>:
<a name="l00068"></a><a class="code" href="classOgre_1_1GLES2DepthBuffer.html#ae54cd2f2c788cac044f2fcfd1ac86eb3">00068</a>         <a class="code" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a>                      <a class="code" href="classOgre_1_1GLES2DepthBuffer.html#ae54cd2f2c788cac044f2fcfd1ac86eb3">mMultiSampleQuality</a>;
<a name="l00069"></a><a class="code" href="classOgre_1_1GLES2DepthBuffer.html#ac95e378c9dc494aeb19d397e1d9b595b">00069</a>         <a class="code" href="classOgre_1_1GLES2Context.html" title="Class that encapsulates an GL context.">GLES2Context</a>                *<a class="code" href="classOgre_1_1GLES2DepthBuffer.html#ac95e378c9dc494aeb19d397e1d9b595b">mCreatorContext</a>;
<a name="l00070"></a><a class="code" href="classOgre_1_1GLES2DepthBuffer.html#a5df1d32a6cea74492afd02ed911d07a4">00070</a>         <a class="code" href="classOgre_1_1GLES2RenderBuffer.html" title="Renderbuffer surface.">GLES2RenderBuffer</a>           *<a class="code" href="classOgre_1_1GLES2DepthBuffer.html#a5df1d32a6cea74492afd02ed911d07a4">mDepthBuffer</a>;
<a name="l00071"></a><a class="code" href="classOgre_1_1GLES2DepthBuffer.html#a531748f89f6a280ca15ea0c1e2acf908">00071</a>         <a class="code" href="classOgre_1_1GLES2RenderBuffer.html" title="Renderbuffer surface.">GLES2RenderBuffer</a>           *<a class="code" href="classOgre_1_1GLES2DepthBuffer.html#a531748f89f6a280ca15ea0c1e2acf908">mStencilBuffer</a>;
<a name="l00072"></a><a class="code" href="classOgre_1_1GLES2DepthBuffer.html#ac18bd3705cf696b813e1099fa07797e0">00072</a>         <a class="code" href="classOgre_1_1GLES2RenderSystem.html" title="Implementation of GL ES 2.x as a rendering system.">GLES2RenderSystem</a>           *<a class="code" href="classOgre_1_1GLES2DepthBuffer.html#ac18bd3705cf696b813e1099fa07797e0">mRenderSystem</a>;
<a name="l00073"></a>00073     };
<a name="l00074"></a>00074 }
<a name="l00075"></a>00075 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:50
</p>
</body>
</html>
